Module SQL_人事系統管理
    Friend Sub SQL_系統組織結_級別讀取()
        ConnOpen() : SQL1 = "SELECT 級別 FROM 使用者權限管理表 WHERE (姓名 LIKE N'" & PA47 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_單位主管1()
        SQL_系統組織結_級別讀取()
        If dr.Read Then : PA46 = dr("級別") : End If
        ConnOpen()
        SQL1 = "SELECT  QQ.姓名 AS 主管, QQ.級別, QQ.職稱
                FROM    使用者權限管理表 INNER JOIN  系統跨部門權限表 ON 使用者權限管理表.職稱 = 系統跨部門權限表.職稱 INNER JOIN
                       (SELECT  姓名, 級別, 職稱  FROM  使用者權限管理表 AS 使用者權限管理表_1  WHERE  (CAST(級別 AS int) < " & PA46 & ") AND (級別 NOT LIKE '00')) AS QQ ON 
                        系統跨部門權限表.姓名 = QQ.姓名
                WHERE  (使用者權限管理表.姓名 LIKE N'" & PA47 & "') AND (系統跨部門權限表.授權 = 1) AND (系統跨部門權限表.姓名 NOT LIKE N'" & PA47 & "') AND 使用者權限管理表.CC63 = 0
                ORDER BY QQ.級別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統組織結構圖_部門()
        ConnOpen() : SQL1 = "SELECT 部門 FROM HX部門清單 WHERE (部門 NOT LIKE N'%NA') AND (部門 NOT LIKE N'9%') ORDER BY 部門" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_部門_人員()
        ConnOpen()
        SQL1 = "SELECT  姓名 FROM  使用者權限管理表 WHERE (部門 LIKE N'" & PA & "') AND (處別 LIKE N'00.NA') AND (課別 LIKE N'000.NA') AND (組別 LIKE N'0000.NA') AND CC63 = 0"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_處別()
        ConnOpen()
        SQL1 = "SELECT 處 FROM HX職稱清單 WHERE (部 LIKE N'" & PA & "') AND (處 NOT LIKE N'%NA') AND (處 NOT LIKE N'9%') GROUP BY   處 ORDER BY   處"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_處別1()
        ConnOpen()
        SQL1 = "SELECT 處 FROM HX職稱清單 WHERE (處 NOT LIKE N'%NA') AND (處 NOT LIKE N'9%')  GROUP BY 處 ORDER BY   處"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_處別_人員()
        ConnOpen()
        SQL1 = "SELECT  姓名 FROM  使用者權限管理表 WHERE (處別 LIKE N'" & PA & "') AND (課別 LIKE N'000.NA') AND (組別 LIKE N'0000.NA') AND CC63 = 0"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_課別()
        ConnOpen()
        SQL1 = "SELECT 課 FROM HX職稱清單 WHERE (部 LIKE N'" & PA & "') AND (處 LIKE N'" & PA1 & "') AND (課 NOT LIKE N'%NA') AND (課 NOT LIKE N'9%') GROUP BY   課 ORDER BY   課"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_課別1()
        ConnOpen()
        SQL1 = "SELECT 課 FROM HX職稱清單 WHERE (課 NOT LIKE N'%NA') AND (課 NOT LIKE N'9%') GROUP BY   課 ORDER BY   課"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_課別_人員()
        ConnOpen()
        SQL1 = "SELECT  姓名 FROM  使用者權限管理表 WHERE (課別 LIKE N'" & PA & "') AND (組別 LIKE N'0000.NA') AND CC63 = 0"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_組別()
        ConnOpen()
        SQL1 = "SELECT 組 FROM HX職稱清單 
                WHERE (部 LIKE N'" & PA & "') AND (處 LIKE N'" & PA1 & "') AND (課 LIKE N'" & PA2 & "')  AND (組 NOT LIKE N'%NA') AND (組 NOT LIKE N'9%') GROUP BY   組 ORDER BY   組"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_組別1()
        ConnOpen()
        SQL1 = "SELECT 組 FROM HX職稱清單 WHERE (組 NOT LIKE N'%NA') AND (組 NOT LIKE N'9%') GROUP BY 組 ORDER BY 組"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_組別_人員()
        ConnOpen()
        SQL1 = "SELECT  姓名 FROM  使用者權限管理表 WHERE (組別 LIKE N'" & PA & "') AND CC63 = 0"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統組織結構圖_人員()
        ConnOpen()
        SQL1 = "SELECT      使用者權限管理表.姓名, 使用者權限管理表.職稱, 使用者權限管理表.級別, 使用者權限管理表.部門, 
                            使用者權限管理表.處別, 使用者權限管理表.課別, 使用者權限管理表.組別, 
                            使用者權限管理表.帳號
                FROM              使用者權限管理表 INNER JOIN
                                (SELECT            系統跨部門權限表.姓名
                                  FROM             系統跨部門權限表 INNER JOIN
                                                   HX職稱清單 ON 系統跨部門權限表.職稱 = HX職稱清單.職稱
                                  WHERE           (系統跨部門權限表.授權 = 1) AND (系統跨部門權限表.姓名 NOT LIKE N'NA') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'李協叡') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'LIN HSING HAO') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%test%') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%測試%') AND 
                                                  (HX職稱清單.部 LIKE N'" & PA & "') OR
                                                  (系統跨部門權限表.授權 = 1) AND (系統跨部門權限表.姓名 NOT LIKE N'NA') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'李協叡') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'LIN HSING HAO') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%test%') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%測試%') AND 
                                                  (HX職稱清單.處 LIKE N'" & PA & "') OR
                                                  (系統跨部門權限表.授權 = 1) AND (系統跨部門權限表.姓名 NOT LIKE N'NA') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'李協叡') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'LIN HSING HAO') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%test%') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%測試%') AND 
                                                  (HX職稱清單.課 LIKE N'" & PA & "') OR
                                                  (系統跨部門權限表.授權 = 1) AND (系統跨部門權限表.姓名 NOT LIKE N'NA') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'李協叡') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'LIN HSING HAO') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%test%') AND 
                                                  (系統跨部門權限表.姓名 NOT LIKE N'%測試%') AND 
                                                  (HX職稱清單.組 LIKE N'" & PA & "')
                GROUP BY   系統跨部門權限表.姓名) AS QQQ ON 使用者權限管理表.姓名 = QQQ.姓名
                WHERE      使用者權限管理表.CC63 = 0
                ORDER BY   使用者權限管理表.級別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_人員ID卡系統配置設定_清單()
        ConnOpen()
        If Val(登入人級別) <= 1 Then
            SQL1 = "SELECT 姓名, 帳號, 部門, 課別, 組別, 職稱, ID卡號 FROM 使用者權限管理表 WHERE CC63 = 0 ORDER BY 職稱"
        Else
            SQL1 = "SELECT 姓名, 帳號, 部門, 課別, 組別, 職稱, ID卡號 FROM 使用者權限管理表 WHERE CC24 = 0 AND CC63 = 0 ORDER BY 職稱"
        End If
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_人員ID卡系統配置設定_配卡()
        ConnOpen()
        SQL1 = "UPDATE 使用者權限管理表 SET ID卡號 = N'" & PA42 & "'  WHERE (帳號 = N'" & PA43 & "') AND (姓名 = N'" & PA44 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人員ID卡系統配置設定_驗證()
        ConnOpen() : SQL1 = "SELECT ID卡號 FROM 使用者權限管理表 WHERE (ID卡號 LIKE N'" & PA42 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統帳號確認()
        ConnOpen() : SQL1 = "SELECT 帳號 FROM 使用者權限管理表 WHERE (帳號 LIKE N'" & PA32 & "')" : CmdSet_For_dr()
    End Sub
End Module
